body {
    background-color: var(--backgrnd);
}

.slider {
    position: relative;
    overflow: hidden;
    z-index: 1;
    height: 100svh;
}

.slider__track {
    width: 100%;
    display: flex;
    animation: slide 16s infinite;
}

@keyframes slide {
    0% {
        transform: translateX(0);
    }
    30% {
        transform: translateX(0);
    }
    40% {
        transform: translateX(-100%);
    }
    70% {
        transform: translateX(-100%);
    }
    80% {
        transform: translateX(-200%);
    }
    100% {
        transform: translateX(-200%);
    }
}

.slider__slide {
    flex: 0 0 100%;
    position: relative;
    min-height: 100vh;
    overflow: hidden;
}

.slider__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.slider__content {
    position: absolute;
    bottom: 6.25rem;
    left: 1.25rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;

    @media (min-width: 524px) {
        margin-left: 3.75rem;
        bottom: 18.75rem;
        left: 1.25rem;
    }
}

.slider__title {
    font-family: var(--font-title);
    font-size: 2rem;
    color: var(--card-2);

    @media (min-width: 1200px) {
        word-break: break-all;
        text-wrap: balance;
        display: inline-block;
        font-size: 3.75rem;
    }
}

.slider__btn {
    align-items: center;
    background: var(--btn);
    border: 0;
    border-radius: 3.125rem;
    cursor: pointer;
    display: inline-flex;
    gap: 0.625rem;
    margin: 1rem 0 0;
    outline: 0;
    padding: 1rem 1.5rem;
    text-align: center;
    text-decoration: none;
    font-family: var(--font-text);
    width: fit-content;
    color: var(--background-color);
}

.slider__btn::after {
    content: "";
    background-image: url("../img/right-arrow.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    transition: transform .3s ease-in-out;
    width: 1rem;
    height: 1rem;
    display: inline-block;
}

.slider__btn:hover {
    background-color: var(--hover-btn);
}


/*ma nav en mobile*/
.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.875rem;
    background-color: var(--background-color);
    border-radius: 7px;
    margin: 0.938rem 0.625rem;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;

    @media (min-width: 524px) {
        margin: 1.875rem 5.625rem;
    }

    @media (min-width: 1200px) {
        left: -4.688rem;
        right: -4.688rem;
    }
}

.header__brand {
    display: inline-flex;
    align-items: center;

    @media (min-width: 1200px) {
        display: none;
    }
}

.header__brandDesktop {
    display: none;

    @media (min-width: 1200px) {
        display: flex;
    }
}

.Nav {
    @media (min-width: 524px) {
        display: flex;
        justify-content: center;
        flex: 1;
    }

}

.header__actions {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.header__action {
    color: var(--elemnt-title-color);
    text-decoration: none;
}

.header__cart-count {
    font-family: var(--font-text);
    font-weight: bold;
    font-size: 1rem;
}

.lang {
    align-items: center;
    border: 1px solid hsla(0, 0%, 100%, .2);
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    font-weight: 500;
    gap: 0.5rem;
    padding: 0.5rem 0.25rem;
    position: relative;
}

.lang__dropDown {
    background: #fff;
    border: 1px solid #eee;
    border-radius: 0.5rem;
    display: none;
    left: 0;
    list-style: none;
    margin: 0;
    min-width: 100%;
    position: absolute;
    top: 100%;
    z-index: 10;
}

.lang__dropDown .language {
    align-items: center;
    cursor: pointer;
    display: flex;
    gap: 0.5rem;
    padding: 0.5rem 1rem;
    transition: background .2s;
}

.lang__dropDown.is-open {
    display: block; /* S'affiche quand la classe est présente */
}

.nav__link {
    font-family: var(--font-title);
    color: var(--nav-color);
    font-size: 1.25rem;
    display: flex;
    align-items: center;
    font-weight: 700;
    gap: 0.5rem;
    letter-spacing: .04em;
    line-height: 1.2;
    position: relative;
    text-align: left;
    text-transform: uppercase;
    text-decoration: none;

    @media (min-width: 1024px) {
        font-size: 0.875rem;
    }
}

.nav__submenu {
    display: none;
    padding: 1.25rem;
}

.nav__item--has-submenu.is-open .nav__submenu {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0.938rem 0 0 1.25rem;

}

.nav__btn {
    align-items: center;
    background: var(--btn);
    border: 0;
    border-radius: 3.188rem;
    cursor: pointer;
    display: inline-flex;
    gap: 0.625rem;
    margin: 1rem;
    outline: 0;
    padding: 1rem 1.5rem;
    text-align: center;
    text-decoration: none;
    font-family: var(--font-text);
    width: fit-content;
    color: var(--background-color);
}

.nav__btn:hover {
    background-color: var(--hover-btn);
}

.nav__submenu-link {
    font-family: var(--font-text);
    text-decoration: none;
    color: var(--nav-color);
}

.hamburger-menu {
    display: none;
    width: 32px;
    height: 32px;
    align-items: center;
    justify-content: center;
    position: relative;
    border: 0;
    background: transparent;
    cursor: pointer;
    z-index: 200;

}

@media (max-width: 1200px) {
    .hamburger-menu {
        display: flex;
    }
}

.hamburger-menu__line {
    height: 3px;
    background-color: var(--elemnt-title-color);
    width: 100%;
    display: block;
    transition: all 300ms ease-in-out;
    border-radius: 0.625rem;
}

.hamburger-menu::before,
.hamburger-menu::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 3px;
    background-color: var(--elemnt-title-color);
    left: 0;
    transition: all 300ms ease-in-out;
    border-radius: 0.625rem;
}

.hamburger-menu::before {
    top: 5px;
}

.hamburger-menu::after {
    bottom: 5px;
}

.hamburger-menu.hamburger-menu--active::before {
    transform: rotate(320deg);
    top: 0.938rem;
}

.hamburger-menu.hamburger-menu--active::after {
    transform: rotate(-320deg);
    bottom: 0.813rem;
}

.hamburger-menu.hamburger-menu--active .hamburger-menu__line {
    opacity: 0;
    width: 0;
}

/* Menu fermé par défaut sur mobile */

.nav__list {
    display: flex;
    align-items: center;
    gap: 2rem;
    list-style: none;
    margin: 0;
    padding: 0;

    @media (min-width: 1200px) {
        flex-direction: row;
        gap: 4rem;
        align-items: center;
    }

}

@media (max-width: 1200px) {
    .nav__list {
        display: none;
    }

    .nav__list--open {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        position: fixed;
        top: 0;
        left: 0;
        width: auto;
        height: 100%;
        background-color: var(--background-color);
        z-index: 50;
        padding: 8.75rem 2.5rem 3.75rem 2.5rem;
        gap: 2.5rem;
        overflow-y: auto;
        animation: slideIn 300ms ease-in-out;
    }

    @keyframes slideIn {
        from {
            transform: translateX(100%);
        }
        to {
            transform: translateX(0);
        }
    }

    .nav__list--close {
        animation: slideOut 300ms ease-in-out forwards;
    }

    @keyframes slideOut {
        from {
            transform: translateX(0);
        }
        to {
            transform: translateX(100%);
        }
    }
}

/* deuxième section avec les cartes produits*/

.container {
    padding: 1.25rem;

    @media (min-width: 524px) {
        padding: 5.625rem;
    }
}

.block-product__content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 20.625rem;
    overflow: hidden;

    @media (min-width: 524px) {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 1fr;
        max-width: none;
    }
}

.block-product__title {
    color: var(--title-color);
    font-family: var(--font-title);
    font-size: 1.875rem;
    text-transform: uppercase;

    @media (min-width: 1024px) {
        font-size: 3.75rem;
    }
}

strong {
    color: var(--hover-btn);
}

.block-product__text {
    font-family: var(--font-text);
    color: var(--text-color);
    line-height: 1.5rem;
    margin-bottom: 2.5rem;
}

.swipper {
    width: 100%;
    overflow-x: auto;
    scroll-behavior: smooth;
}

.swipper__slide {
    height: auto;
    display: flex;
    flex-direction: row;
}


.swipper__wrapper {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1.25rem;
    width: 100%;
    align-items: stretch;
    margin-bottom: 1.25rem;
    flex-wrap: nowrap;
}

.product-card {
    background-color: var(--card-1);
    padding: 2.813rem 2.188rem 2.188rem;
    min-width: 14.688rem;
}

.product-card__link {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.product-card__image-container {
    display: flex;
    flex-grow: 1;
    align-items: center;
    justify-content: center;
    padding: 1.25rem 0;
}

.product-card__image-container img {
    max-width: 100%;
    height: auto;
    max-height: 13.75rem;
    object-fit: contain;
}

.product-card__content {
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

.product-card__title {
    text-transform: uppercase;
    font-size: 1.25rem;
    color: var(--title-color);
    font-family: var(--font-title);
}

.product-card__footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.product-card__price {
    font-family: var(--text-color);
    color: var(--text-color);
}

.product-card__add-to-cart {
    width: 3.125rem;
    height: 3.125rem;
    background-color: var(--hover-btn);
    border-radius: 50%;
    color: var(--backgrnd);
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}

.swipper-nav {
    display: flex;
    justify-content: end;
    gap: 1.25rem;
}

.btn {
    width: 3.125rem;
    height: 3.125rem;
    border-radius: 50%;
    border-style: none;
    background-color: var(--background-color);
    cursor: pointer;
    font-size: 1.875rem;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 1;
}

.btn:hover {
    background-color: var(--hover-btn);
}

a {
    text-decoration: none;
}

/* l'effet au scroll avec l'image*/

.full {
    overflow: hidden;
    position: relative;
    width: 100%;
    margin-bottom: 1.25rem;
}

.full .visual__container {
    position: relative;
    overflow: hidden;
    margin-bottom: -15%;
    width: 100%;
    height: 100%;
}

.full .visual__container::before {
    background: var(--backgrnd);
    content: "";
    display: block;
    padding-top: 100%;

    @media (min-width: 524px) {
        padding-top: 45%;
    }
}

.visual {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    will-change: transform;
    z-index: 1;
}

.visual img {
    display: block;
    height: 115%;
    width: 100%;
    object-fit: cover;
    transform: scale(1.1);

}

.animated {
    position: absolute;
    bottom: 15%;
    left: 0;
    color: var(--hover-btn);
    font-family: var(--font-title);
    font-size: 4rem;
    z-index: 2;
    white-space: nowrap;
    will-change: transform;

    @media (min-width: 524px) {
        font-size: 5rem;
        top: 40%;
    }

    @media (min-width: 1024px) {
        font-size: 6rem;
        top: 50%;
    }
}


/* pour la partie avec les 3 cartes au hover*/

.unique {
    width: 100%;
    padding: 2.5rem 0;
    box-sizing: border-box;
    margin-bottom: 1.25rem;
}

.unique__container {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    padding: 0 1.25rem;
    overflow-x: auto;

    @media (min-width: 524px) {
        padding: 0 5.625rem;
    }
}

.unique__title {
    color: var(--title-color);
    margin: 90px 0 50px;
    font-size: 1.875rem;
    font-family: var(--font-title);
    padding: 0 1.25rem;
    

    @media (min-width: 1200px) {
        font-size: 3.75rem;
        padding: 0 5.625rem;
    }
}

.unique-card {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex: 0 0 85%;
    min-height: 28.125rem;
    max-width: 31.25rem;
}

.unique-card--assurance, .unique-card--confort {
    background-color: var(--card-1);
}

.unique-card--style {
    background-color: var(--card-2);
}

.unique-card__bckgrnd {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 1;
    transform: scale(1);
    transition: opacity 0.5s ease-in;
}

.unique-card__bckgrnd img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.unique-card__content {
    position: relative;
    display: flex;
    flex-direction: column;
    z-index: 2;
    gap: 1rem;
    padding: 18.75rem 35px 35px;
}

.unique-card__icon {
    width: 3.125rem;
    height: auto;
    align-self: flex-start;
    fill: var(--hover-btn);
    padding: 1.25rem;
}

.unique-card__title {
    font-size: 1.5rem;
    font-family: var(--font-title);
    line-height: 28px;
    color: var(--title-color);
}

.unique-card__text {
    font-family: var(--font-text);
    line-height: 24px;
    color: var(--text-color);
}

.unique-card__link {
    font-family: var(--font-text);
    font-size: 14px;
    color: var(--hover-btn);
    text-decoration: underline 2px;
}

.unique-card:hover .unique-card__bckgrnd {
    opacity: 1;
    transform: scale(1);
}

.unique-card:hover .unique-card__icon {
    transform: rotate(30deg);
}

.unique-card:hover .unique-card__title,
.unique-card:hover .unique-card__text,
.unique-card:hover .unique-card__link,
.unique-card:hover .unique-card__icon {
    color: var(--backgrnd);
    fill: var(--backgrnd);
}


/* pour la section about*/

.about {
    padding: 0 1.25rem;

    @media (min-width: 524px) {
        padding: 0 5.625rem;
    }
}

.about__container {
    display: flex;
    flex-direction: column;
    gap: 2rem;

    @media (min-width: 524px) {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        max-width: 1200px;
        gap: 3rem;
        margin: 0 auto;
    }
}

.about__content {
    display: flex;
    flex-direction: column;
    gap: 1rem;


}

.about__title, .tips__title {
    font-size: 1.875rem;
    font-family: var(--font-title);
    color: var(--btn);
    text-transform: uppercase;

    @media (min-width: 1024px) {
        font-size: 3.75rem;
    }
}

.about__subTitle {
    font-family: var(--font-text);
    color: var(--title-color);
    line-height: 1.563rem;
}

.about__text, .tips__text {
    color: var(--text-color);
    font-family: var(--font-text);
    line-height: 1.563rem;
}

.about__btn, .tips__btn {
    align-items: center;
    background: var(--btn);
    border: 0;
    border-radius: 3.188rem;
    cursor: pointer;
    display: inline-flex;
    gap: 0.625rem;
    margin: 1rem 0 5.625rem;
    outline: 0;
    padding: 1rem 1.5rem;
    text-align: center;
    text-decoration: none;
    font-family: var(--font-text);
    width: fit-content;
    color: var(--background-color);
}

.about__btn:hover {
    background-color: var(--hover-btn);
}

.tips__btn:hover {
    background-color: var(--backgrnd);
    color: var(--hover-btn);
}

.about__btn::after {
    content: "";
    background-image: url("../img/right-arrow.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    transition: transform .3s ease-in-out;
    width: 1rem;
    height: 1rem;
    display: inline-block;
}

.tips__btn::after {
    content: "";
    background-image: url("../img/right-arrow.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    transition: transform .3s ease-in-out;
    width: 1rem;
    height: 1rem;
    display: inline-block;
}


.about__btn:hover {
    background-color: var(--hover-btn);
}

.about__wrapper {
    position: relative;
    overflow: hidden;
    margin-bottom: 5.625rem;
    width: 100%;
    height: 100%;
}

.about__wrapper::before {
    background: var(--backgrnd);
    content: "";
    display: block;
    padding-top: 107.962962963%;
}

.about__wrapper-img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    will-change: transforme;
    object-fit: cover;
}


/* ma section avec le defilement de lignes */

.tips__container {
    display: flex;
    flex-direction: column;
    width: 100%;

    @media (min-width: 524px) {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        max-width: 75rem;
        margin: 0 auto;
        align-items: stretch;
    }

    @media (min-width: 1024px) {
        max-width: 100%;
        min-height: 43.75rem;
    }
}

.tips__actions {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    padding: 0 1.25rem;

    @media (min-width: 524px) {
        flex-direction: row;
        align-items: center;
        padding: unset;
    }
}

.tips__content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 2.5rem 1.25rem;

    @media (min-width: 524px) {
        margin-left: 3.75rem;
    }
}

.tips__btn {
    margin: unset;
}

.tips__link {
    font-family: var(--font-text);
    font-size: 14px;
    color: var(--hover-btn);
    text-decoration: underline 2px;
    text-align: left;
}

.tips {
    background: var(--tips);
    position: relative;
    z-index: 10;
    margin-bottom: 5.625rem;
    margin-top: 5.625rem;
}

.tips__wrapper {
    overflow: hidden;
    position: relative;
    width: 100%;

    @media (min-width: 524px) {
        height: 100%;
    }
}

.tips__wrapper::before {
    background: var(--backgrnd);
    content: "";
    display: block;
    padding-top: 100%;

    @media (min-width: 524px) {
        display: none;
    }
}

.tips__wrapper-img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    will-change: transform;
    object-fit: cover;
}


.tips__marque {
    display: flex;
    bottom: 0.625rem;
    left: 0;
    position: absolute;
    z-index: 2;
    overflow: hidden;
}

.tips__caroussel {
    font-size: 1.5rem;
    font-family: var(--font-title);
    color: var(--background-color);
    text-transform: uppercase;
    white-space: nowrap;
    width: max-content;
}

.tips__lignes {
    display: flex;
    flex-direction: column;
    animation: scrolling 10s linear infinite;
}

@keyframes scrolling {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
}

/* ma section de partage*/
.share {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0 1.25rem;
    margin-bottom: 5.625rem;
    @media (min-width: 524px) {
        padding: 0 5.625rem;
    }
}

.share__container {
    @media (min-width: 524px) {
        display: grid;
        grid-template-columns: 1fr 1.3fr;
        align-items: center;
        gap: 3rem;
        max-width: 1200px;
    }
}

.share__title {
    font-size: 1.875rem;
    font-family: var(--font-title);
    color: var(--hover-btn);
    text-transform: uppercase;

    @media (min-width: 1024px) {
        font-size: 2.5rem;
    }
}

.share__hashtag {
    font-size: 1.875rem;
    font-family: var(--font-title);
    text-transform: uppercase;
    color: var(--btn);
    overflow-wrap: break-word;
}

.share__list {
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 1rem;
    padding: 1.25rem 0;
    @media (min-width: 524px) {
        padding: 0 5.625rem;
    }
    @media (min-width: 1024px) {
        padding: unset;
    }
}

.share__icons-img {
    display: block;
    width: 3.125rem;
    height: auto;

    @media (min-width: 1024px) {
        margin-top: 5rem;
    }
}

.share__gallery {
    width: 100%;
}

.share__gallery-list {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    @media (min-width: 524px) {
        gap: 0.5rem;
    }
}

.share__gallery-item img {
    margin-top: 1.25rem;
    width: 100%;
    height: auto;
    display: block;
}

.share__gallery-item:nth-child(n+4) {
    @media (min-width: 524px) {
        display: none;
    }
}

.share__gallery-item:nth-child(odd) {
    transform: rotate(-6deg);
}

.share__gallery-item:nth-child(even) {
    transform: rotate(6deg);
}

/* ma partie perso*/

.perso__container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0 1.25rem;

    @media (min-width: 524px) {
        padding: 0 5.625rem;
    }
}

.perso__title {
    font-size: 1.875rem;
    font-family: var(--font-title);
    color: var(--hover-btn);
    text-transform: uppercase;

    @media (min-width: 1024px) {
        font-size: 3.75rem;
    }
}

.perso__text, .perso__subText {
    color: var(--text-color);
    font-family: var(--font-text);
    line-height: 1.563rem;
}

.perso__subText {
    font-weight: bold;
}


/* l'animation carrousel*/

.perso__group {
    display: flex;
    gap: 1.25rem;
    animation: scrolling 20s linear infinite;
}

@keyframes scrolling {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
}

.perso__carousel {
    display: flex;
    overflow: hidden;

    @media (min-width: 524px) {
        margin: unset;
        overflow: hidden;
    }

    &:hover .group {
        animation-play-state: paused;
    }
}

.card {
    color: white;
    border-radius: 1.5rem;
    padding: 1.25rem;
    justify-content: center;
    align-items: center;
}

.perso__video {
    display: flex;
    align-self: center;
    border: var(--btn) solid 5px;
    border-radius: 0.625rem;

    @media (min-width: 1024px) {
        min-width: 40.625rem;
    }
}

/*mon footer*/

.footer {
    background-color: var(--hover-btn);
    padding: 3.75rem 1.25rem;

    @media (min-width: 524px) {
        padding: 3.75rem 5.625rem;
    }
}

.footer__container {
    @media (min-width: 1200px) {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 4rem;
        margin-top: 7.5rem;
        align-items: start;
    }
}

.footer__top {
    display: flex;
    justify-content: center;
    gap: 1.25rem;
}

.footer__form {
    margin-top: 3.125rem;
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.footer__label {
    color: var(--backgrnd);
    font-family: var(--font-text);
}

.footer__input {
    padding: 1.875rem 0.938rem;
    background-color: var(--backgrnd);
    color: var(--hover-btn);
    font-family: var(--font-text);
    font-weight: bold;
    border-radius: 0.625rem;
    border: none;
}

.footer__btn {
    align-items: center;
    background: var(--btn);
    border: 0;
    border-radius: 3.188rem;
    cursor: pointer;
    display: inline-flex;
    gap: 0.625rem;
    margin: 1rem 0 5.625rem;
    outline: 0;
    padding: 1rem 1.5rem;
    text-align: center;
    text-decoration: none;
    font-family: var(--font-text);
    width: fit-content;
    color: var(--background-color);
}

.footer__btn:hover {
    background-color: var(--backgrnd);
    color: var(--hover-btn);
}

.footer__nav {
    display: flex;
    flex-direction: column;
    gap: 2rem;

    @media (min-width: 524px) {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 3rem;
        margin-top: unset;
    }
}

.footer__title {
    color: var(--backgrnd);
    font-family: var(--font-text);
    text-transform: uppercase;
    margin-bottom: 1.25rem;
    font-size: 0.813rem;
}

.footer__item {
    font-family: var(--font-text);
    text-transform: uppercase;
    margin-bottom: 0.75rem;
}

.footer__link {
    color: var(--backgrnd);
}

.footer__legal {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-top: 5.625rem;
    color: var(--backgrnd);
    font-family: var(--font-text);
    align-items: center;
    margin-bottom: 2.5rem;
}

.footer__logo {
    display: flex;
    align-items: center;
}

.footer__logoBig {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
}

.footer__newsLetter {
    grid-column: 2;
    order: 2;
}



